org.eclipse.cdt.core.browser

## Class PathUtil

- java.lang.Object
- - org.eclipse.cdt.core.browser.PathUtil

Deprecated.
use `PathUtil`, instead.

    @Deprecated
    public class PathUtil
    extends Object

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
Constructor and Description
`PathUtil()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static org.eclipse.core.runtime.IPath` `getCanonicalPath(org.eclipse.core.runtime.IPath fullPath)` Deprecated.
`static ICProject` `getEnclosingProject(org.eclipse.core.runtime.IPath fullPath)` Deprecated.
`static org.eclipse.core.runtime.IPath` `getProjectRelativePath(org.eclipse.core.runtime.IPath fullPath, org.eclipse.core.resources.IProject project)` Deprecated.
`static org.eclipse.core.runtime.IPath` `getRawLocation(org.eclipse.core.runtime.IPath wsRelativePath)` Deprecated.
`static org.eclipse.core.runtime.IPath` `getValidEnclosingFolder(org.eclipse.core.runtime.IPath fullPath)` Deprecated.
`static org.eclipse.core.runtime.IPath` `getWorkspaceRelativePath(org.eclipse.core.runtime.IPath fullPath)` Deprecated.
`static org.eclipse.core.runtime.IPath` `getWorkspaceRelativePath(String fullPath)` Deprecated.
`static org.eclipse.core.resources.IWorkspaceRoot` `getWorkspaceRoot()` Deprecated.
`static boolean` `isWindowsFileSystem()` Deprecated.
`static org.eclipse.core.runtime.IPath` `makeRelativePath(org.eclipse.core.runtime.IPath path, org.eclipse.core.runtime.IPath relativeTo)` Deprecated.
`static org.eclipse.core.runtime.IPath` `makeRelativePathToIncludes(org.eclipse.core.runtime.IPath fullPath, String[] includePaths)` Deprecated.
`static org.eclipse.core.runtime.IPath` `makeRelativePathToProjectIncludes(org.eclipse.core.runtime.IPath fullPath, org.eclipse.core.resources.IProject project)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathUtil

    public PathUtil()

Deprecated.

### Method Detail

#### isWindowsFileSystem

    public static boolean isWindowsFileSystem()

Deprecated.

#### getWorkspaceRoot

    public static org.eclipse.core.resources.IWorkspaceRoot getWorkspaceRoot()

Deprecated.

#### getCanonicalPath

    public static org.eclipse.core.runtime.IPath getCanonicalPath(org.eclipse.core.runtime.IPath fullPath)

Deprecated.

#### getWorkspaceRelativePath

    public static org.eclipse.core.runtime.IPath getWorkspaceRelativePath(org.eclipse.core.runtime.IPath fullPath)

Deprecated.

#### getProjectRelativePath

    public static org.eclipse.core.runtime.IPath getProjectRelativePath(org.eclipse.core.runtime.IPath fullPath,
                                                                        org.eclipse.core.resources.IProject project)

Deprecated.

#### getWorkspaceRelativePath

    public static org.eclipse.core.runtime.IPath getWorkspaceRelativePath(String fullPath)

Deprecated.

#### getRawLocation

    public static org.eclipse.core.runtime.IPath getRawLocation(org.eclipse.core.runtime.IPath wsRelativePath)

Deprecated.

#### makeRelativePath

    public static org.eclipse.core.runtime.IPath makeRelativePath(org.eclipse.core.runtime.IPath path,
                                                                  org.eclipse.core.runtime.IPath relativeTo)

Deprecated.

#### makeRelativePathToProjectIncludes

    public static org.eclipse.core.runtime.IPath makeRelativePathToProjectIncludes(org.eclipse.core.runtime.IPath fullPath,
                                                                                   org.eclipse.core.resources.IProject project)

Deprecated.

#### makeRelativePathToIncludes

    public static org.eclipse.core.runtime.IPath makeRelativePathToIncludes(org.eclipse.core.runtime.IPath fullPath,
                                                                            String[] includePaths)

Deprecated.

#### getEnclosingProject

    public static ICProject getEnclosingProject(org.eclipse.core.runtime.IPath fullPath)

Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

#### getValidEnclosingFolder

    public static org.eclipse.core.runtime.IPath getValidEnclosingFolder(org.eclipse.core.runtime.IPath fullPath)

Deprecated.